Nios® II Embedded Design Suite (EDS)
Support for Embedded Development Tools, Processors (SoCs and Nios® II processor), Embedded Development Suites (EDSs), Boot and Configuration, Operating Systems, C and C++
Announcements
Intel Support hours are Monday-Fridays, 8am-5pm PST, except Holidays. Thanks to our community members who provide support during our down time or before we get to your questions. We appreciate you!

Need Forum Guidance? Click here
Search our FPGA Knowledge Articles here.
12455 Discussions

which nios ide version doesn't crash under Win7 64bit?

Altera_Forum
Honored Contributor II
1,045 Views

I've been using Quartus/Nios 8.1 for a very very long time. When I switched from WinXP to Win7 64bit, I noticed the Nios IDE became very unstable and would crash at seemingly random times, whether I was editing, compiling, or debugging. Lucky for me, our projects were far enough along where I didn't have to use the IDE much, and was able to complete most tasks without the crashing interfering too much. Now I'm back into debugging mode with a big software change, and the random crashing is really slowing down my progress. I need to upgrade to another version, but I don't want to bump up in versions any higher than I need to get stability again. I'd like to not have to modify my current project setup that much. Can anyone tell me whether Quartus/Nios 9.0 has a Nios IDE that fixes these issues? I would like to stick with 9.0 because it is the last one that also compiles the old Flex10k chips, which I'm using on another project. If not 9.0, how about 9.1? 10.0? 10.1? I would think that by 11.0, these issues would have been taken care of. Thanks for any info about your experiences with these versions. -todd-

0 Kudos
1 Reply
Altera_Forum
Honored Contributor II
98 Views

You can install several versions of Quartus and switch between them depending on the project you are working on. You could keep 8.1 for your Flex10k projects and a more recent version for your other ones. 

IIRC official Windows 7 support started with version 10.0
Reply